Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450984 - GDM shutdowns machine without proper credentials when users are logged in
Summary: GDM shutdowns machine without proper credentials when users are logged in
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 03:24 UTC by Orlando Arias
Modified: 2015-01-14 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:32:42 UTC


Attachments (Terms of Use)

Description Orlando Arias 2008-06-12 03:24:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9pre) Gecko/2008042712 Firefox/3.0pre (Swiftfox)

Description of problem:
When switching users, a person is capable of shutting down the machine without prompting for root password as per System >> Shut Down would do if [other] users are logged in.

I am not sure whether the new GDM has PolicyKit integration yet or not, or if it is something that can be enabled. Being the latter case, it should be enabled by default.

Version-Release number of selected component (if applicable):
gdm-2.22.0-5.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Lock the screen (optional)
2. Switch user
3. Shut down machine from GDM.

Actual Results:
Machine shuts down without prompting for credentials.

Expected Results:
Prompt for root password when users are logged in.

Additional info:
Not too sure if I should flag this as a security vulnerability. It might cause loss of data.

Comment 1 Bug Zapper 2009-06-10 01:34:01 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 15:32:42 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.